dnl configure.ac
dnl
dnl Copyright (c) 2007  Vreixo Formoso
dnl 
dnl This library is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl See COPYING file for details.
dnl 

AC_INIT(java-libburn, 0.1)
AC_REVISION([$Revision: 0.1 $])

dnl look for java programs
AC_PATH_PROG([JAVAC], [javac])
AC_PATH_PROG([JAVAH], [javah])
AC_PATH_PROG([JAR], [jar])

AC_PROG_CC

dnl Package dependances
dnl -------------------------------------------------------------------------

dnl PKG_PROG_PKG_CONFIG() 
dnl PKG_CHECK_MODULES([ISOFS], isofs)

AC_SUBST(ISOFS_INCLUDE,`pkg-config --cflags libisofs-1 | sed -e's/-I//g' -e's/ *$//g'`)
AC_SUBST(BURN_INCLUDE,`pkg-config --cflags libburn-1 | sed -e's/-I//g' -e's/ *$//g'`)

dnl Output Files
dnl -------------------------------------------------------------------------

AC_CONFIG_FILES([
    build.properties
])
AC_OUTPUT
